=== debian/changelog ===
ros2-rosidl (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Jun 2022 23:22:39 +0200

ros2-rosidl (3.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1011993)

 -- Timo Röhling <roehling@debian.org>  Sat, 18 Jun 2022 00:17:24 +0200
