=== debian/control ===
Source: ros2-rosidl
Section: devel
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ament-cmake,
 ament-cmake-ros,
 ament-lint <!nocheck>,
 cmake,
 dh-ros,
 dh-sequence-python3,
 libperformance-test-fixture-dev <!nocheck>,
 librcutils-dev,
 librcpputils-dev,
 python3-all,
 python3-empy,
 python3-lark,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-yaml,
 ros2-test-interface-files <!nocheck>,
Homepage: https://github.com/ros2/rosidl
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-rosidl.git
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-rosidl
Description: ROS 2 IDL support
 This package is part of ROS 2, the Robot Operating System. ROS 2 uses the OMG
 Data Distribution Standard (DDS) as middleware layer, which in turn relies on
 the Interface Definition Language (IDL) to define the messages which can be
 exchanged between ROS network participants. For historical reasons, ROS has
 its own message definition format; the ROS 2 IDL support layer is responsible
 for transforming the ROS message format to the IDL format.

Package: rosidl
Section: metapackages
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 rosidl-tools,
 rosidl-cmake,
 rosidl-generators,
Description: ROS 2 IDL support metapackage
 ${source:Extended-Description}
 .
 This metapackage depends on the core packages for ROS 2 IDL support.

Package: rosidl-tools
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 python3:any,
 python3-rosidl,
Description: ROS 2 IDL support (CLI tools)
 ${source:Extended-Description}
 .
 This package provides the command line tools.

Package: python3-rosidl
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 modules for ROS 2 IDL support
 ${source:Extended-Description}
 .
 This package provides the Python API to parse .msg/.srv/.action files and
 convert them to .idl, parse .idl files for dynamic type support, and some
 additional helper functions.

Package: rosidl-cmake
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ament-cmake,
 python3-empy,
 python3-rosidl,
Description: CMake module for ROS 2 IDL support
 ${source:Extended-Description}
 .
 This package provides the CMake module to handle IDL support in ROS 2
 packages.

Package: rosidl-generators
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 librcutils-dev,
 librosidl-runtime-dev,
 librosidl-typesupport-interface-dev,
 python3:any,
 python3-rosidl,
 rosidl-cmake,
Description: Language generators for ROS 2 IDL support
 ${source:Extended-Description}
 .
 This package provides the default language generator for C and C++.

Package: librosidl-typesupport-introspection-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 python3:any,
 python3-rosidl,
 librosidl-runtime-dev,
Description: ROS 2 IDL support (type introspection headers)
 ${source:Extended-Description}
 .
 This package provides the headers and CMake config files for type
 introspection.

Package: librosidl-typesupport-interface-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: ROS 2 IDL support (typesupport interface headers)
 ${source:Extended-Description}
 .
 This package provides the headers and CMake config files of the typesupport
 interface.

Package: librosidl-runtime-c0d
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ROS 2 IDL support (C runtime library)
 ${source:Extended-Description}
 .
 This package provides the C runtime shared library.

Package: librosidl-runtime-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librosidl-runtime-c0d (= ${binary:Version}),
 librosidl-typesupport-interface-dev,
Description: ROS 2 IDL support (runtime library headers)
 ${source:Extended-Description}
 .
 This package provides the headers and CMake config files for the runtime
 library.
