=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = -m "not linter"
export ROS_CONFIGURE_AMENT_CMAKE_ARGS = -DROSIDL_SOVERSION=0d

%:
	dh $@ --buildsystem=ros
