## ros2-rosidl 3.3.1

=== rosidl_adapter/CMakeLists.txt ===
--- 
+++ 
@@ -26,4 +26,5 @@
 install(PROGRAMS
   scripts/msg2idl.py
   scripts/srv2idl.py
+  scripts/action2idl.py
   DESTINATION lib/${PROJECT_NAME})
