=== debian/changelog ===
ros2-rosidl (3.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with GCC 15. (Closes: #1097805)

 -- Adrian Bunk <bunk@debian.org>  Fri, 24 Oct 2025 20:54:32 +0300

ros2-rosidl (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1
  * Enable hardening flags

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Nov 2022 19:09:15 +0100

ros2-rosidl (3.3.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Team upload.
  * Set upstream metadata fields: Repository.

  [ Jochen Sprickerhof ]
  * Add missing dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 01 Nov 2022 13:05:12 +0100

ros2-rosidl (3.3.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Timo Röhling ]
  * Rebuild against ros2-ament-lint with increased timeouts (Closes: #1021882)

 -- Timo Röhling <roehling@debian.org>  Sun, 16 Oct 2022 19:53:45 +0200

ros2-rosidl (3.3.0-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Fri, 14 Oct 2022 15:38:52 +0200

ros2-rosidl (3.3.0-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Add librosidl-typesupport-introspection-dev dependency

  [ Timo Röhling ]
  * New upstream version 3.3.0
  * Rename packages for future consistency with Python bindings

 -- Timo Röhling <roehling@debian.org>  Sat, 01 Oct 2022 11:48:52 +0200
