=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = -m "not linter"
export ROS_CONFIGURE_AMENT_CMAKE_ARGS = -DROSIDL_SOVERSION=0d
export ROS_SKIP_TESTS = rosidl_pycommon
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=ros
